ListDocumentRequests
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests"
payload = { "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests"
payload := strings.NewReader("{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberGivenName": "<string>",
"memberFamilyName": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewGivenName": "<string>",
"crewFamilyName": "<string>",
"crewPrimaryEmail": "<string>",
"crewAvatarUrl": "<string>",
"nrOfDocumentItems": "<string>",
"nrOfDocumentSets": "<string>",
"listOfDocumentRequestItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTypeName": "<string>",
"documentTypeCode": "<string>",
"documentTypeUploadInstruction": "<string>"
}
],
"emailSentAt": "2023-01-15T01:30:15.01Z",
"emailSentState": "DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED"
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
ListDocumentRequests
List every document request of an organization: the crew member asked, the recruiter who asked, the requested document types, how many of them the crew member has uploaded, and whether and when Sterndesk last emailed the request to the crew member. Use GetOneDocumentRequest for the uploaded documents.
POST
/
rpc
/
rpc.v1.OrganizationService
/
ListDocumentRequests
ListDocumentRequests
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests"
payload = { "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests"
payload := strings.NewReader("{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListDocumentRequests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberGivenName": "<string>",
"memberFamilyName": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewGivenName": "<string>",
"crewFamilyName": "<string>",
"crewPrimaryEmail": "<string>",
"crewAvatarUrl": "<string>",
"nrOfDocumentItems": "<string>",
"nrOfDocumentSets": "<string>",
"listOfDocumentRequestItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTypeName": "<string>",
"documentTypeCode": "<string>",
"documentTypeUploadInstruction": "<string>"
}
],
"emailSentAt": "2023-01-15T01:30:15.01Z",
"emailSentState": "DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED"
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
request to get a list of document requests.
id of the organization whose document requests to list; must be the caller's organization
Response
Success
response for list of document requests.
items
Show child attributes
Show child attributes